package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.common.utils.ResultCode;
import com.huimv.guowei.admin.entity.DeviceFarmConfig;
import com.huimv.guowei.admin.service.IDeviceFarmConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-09-12
 */


@RestController
@RequestMapping("/device-farm-config")
@CrossOrigin
public class DeviceFarmConfigController {

    @Autowired
    private IDeviceFarmConfigService deviceFarmConfigService;

    @RequestMapping("/list")
    public Result listById(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return deviceFarmConfigService.list(paramsMap);
    }
    @RequestMapping("/updateByFarmId")
    public Result updateByFarmId(HttpServletRequest httpServletRequest, @RequestBody  List<DeviceFarmConfig> deviceFarmConfig) {
        for (DeviceFarmConfig farmConfig : deviceFarmConfig) {
            deviceFarmConfigService.updateById(farmConfig);

        }
        return new Result(10000,"修改成功",true);
    }

}
