package com.huimv.guowei.admin.controller;


import cn.hutool.core.util.ObjectUtil;
import com.alibaba.druid.util.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.common.utils.ResultCode;
import com.huimv.guowei.admin.entity.EnergyWarningThreshold;
import com.huimv.guowei.admin.entity.EnvDeviceChip;
import com.huimv.guowei.admin.service.IEnergyWarningThresholdService;
import com.huimv.guowei.admin.service.IEnvDeviceChipService;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/energy-warning-threshold")
@CrossOrigin
public class EnergyWarningThresholdController {
    @Resource
    private IEnergyWarningThresholdService energyWarningThresholdService;

    @PostMapping("/saveThreshold")
    @Transactional
    public Result saveThreshold(@RequestBody EnergyWarningThreshold warningThreshold){
        return energyWarningThresholdService.saveThreshold(warningThreshold) ;
    }

    @PostMapping("/getThreshold")
    public Result getThreshold(@RequestBody Map<String ,String> paramsMap){
        return energyWarningThresholdService.getThreshold(paramsMap);
    }

}
