package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IEnvDataService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/env-data")
@CrossOrigin
public class EnvDataController {
    @Resource
    private IEnvDataService envDataService;

    @PostMapping("/getLastFlow")
    public Result getLastFlow(@RequestBody Map<String ,String> paramsMap){
        return envDataService.getLastFlow(paramsMap);
    }

    @PostMapping("/listByBuild")
    public Result listByBuild(@RequestBody Map<String ,String> paramsMap){
        return envDataService.listByBuild(paramsMap);
    }

    @PostMapping("/listTodayByBuild")
    public Result listTodayByBuild(@RequestBody Map<String ,String> paramsMap){
        return envDataService.listTodayByBuild(paramsMap);
    }

    @PostMapping("/getOneData")
    public Result getOneData(@RequestBody Map<String ,String> paramsMap){
        return envDataService.getOneData(paramsMap);
    }
    @PostMapping("/listDetail")
    public Result listDetail(@RequestBody Map<String ,String> paramsMap){
        return envDataService.listDetail(paramsMap);
    }
    //大屏平养区栋舍监测
    @PostMapping("/screenEnv")
    public Result screenEnv(@RequestBody Map<String ,String> paramsMap){
        return envDataService.screenEnv(paramsMap);
    }
}
