package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IRawDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-25
 */
@RestController
@RequestMapping("/rawData")
@CrossOrigin
public class RawDataController {

    @Autowired
    IRawDataService rawDataService;

    @PostMapping("/listByDevicCode")
    public Result listInfo(@RequestBody Map<String, String> paramsMap){
        return rawDataService.listInfo(paramsMap);
    }

    @PostMapping("/listWeight")
    public Result listWeight(@RequestBody Map<String, String> paramsMap){
        return rawDataService.listWeight(paramsMap);
    }

    @PostMapping("/listWeightByDevicCode")
    public Result listWeightByDevicCode(@RequestBody Map<String, String> paramsMap){
        return rawDataService.listWeightByDevicCode(paramsMap);
    }


}
