package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("base_building")
public class BaseBuilding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 栋舍名字
     */
    private String buildName;

    /**
     * 父级
     */
    private Integer parentId;

    /**
     * 1栋 2单元 3房间
     */
    private Integer fType;

    private Integer stageCode;

    private Integer cageNum;

    private Integer farmId;

    private Integer sort;

    private String cageName;

    private String other2;

    private String other3;

    private Integer type;


}
