package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 配种登记
 * </p>
 *
 * @author author
 * @since 2023-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("duck_breed_info")
public class DuckBreedInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 雌鸭编号
     */
    private String femaleDuckNum;

    private Integer duckId;

    /**
     * 位置（预留字段）
     */
    private String location;

    /**
     * 单元名字（位置）
     */
    private String unitName;

    private Integer unitId;

    /**
     * 配种日期
     */
    private LocalDateTime breedTime;

    /**
     * 雄鸭编号
     */
    private String maleDuckNum;

    private Integer farmId;


}
