package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import  java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("duck_health_info")
public class DuckHealthInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date healthDate;

    /**
     * 体检结果
     */
    private String healthResult;

    /**
     * 治疗措施
     */
    private String treatmentMeasure;

    /**
     * 鸭只编号
     */
    private String duckNum;

    /**
     * 疾病名称
     */
    private String diseaseName;

    private Integer farmId;

    private Integer duckId;

    private Integer unitId;

    private String symptom;//症状

    private String cure;//治疗方法

    private String medicine;//药品名称

    private String measure;//药品用量

    private String unitName;//笼位名称

    private String chiNum;

    private String jiaoNum;

    private String batchNum;


}
