package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import  java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("duck_immunity_info")
public class DuckImmunityInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date healthDate;

    /**
     * 接种疫苗
     */
    private String vaccination;

    /**
     * 鸭只编号
     */
    private String duckNum;

    private Integer farmId;
    private Integer duckId;

    private Integer unitId;//位置id

    private String injection;//注射部位

    private String dose;//剂量

    private String unitName;

    private String chiNum;

    private String jiaoNum;

    private String batchNum;

}
