package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("duck_leave_info")
public class DuckLeaveInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String duckNum;

    private Integer duckId;

    private String location;

    private String unitName;

    private Integer unitId;

    /**
     * 离场登记
     */
    private LocalDateTime leaveTime;

    /**
     * 0售出  1淘汰
     */
    private Integer leaveType;

    private Integer farmId;


}
