package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("energy_water_pressure")
public class EnergyWaterPressure implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 计录值
     */
    private String waterValue;

    /**
     * 原始值
     */
    private String originalValue;

    /**
     * 原始数据
     */
    private String originalDate;

    /**
     * 房舍id
     */
    private Integer unitId;

    private Integer farmId;

    private LocalDateTime createDate;

    /**
     * 芯片id
     */
    private String chipCode;

    /**
     * 芯片位置
     */
    private String chipName;


}
