package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import  java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_device_chip")
public class EnvDeviceChip implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 芯片编码
     */
    private String chipCode;

    /**
     * 1温度 ，2湿度 3，水表，4电表
     */
    private Integer chipType;

    private Date addTime;

    /**
     * 栋舍id
     */
    private Integer unitId;

    /**
     * 芯片名称
     */
    private String chipName;

    /**
     * 栋舍名称
     */
    private String unitName;


}
