package com.huimv.guowei.admin.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class TreeBaseBuilding implements Comparable<TreeBaseBuilding>  {

    private static final long serialVersionUID=1L;

    private String id;

    private String buildName;

    private Integer parentId;

    private Integer fType;

    private Integer farmCode;

    private Integer stageCode;

    private Integer sort;

    private Integer type;

    private List<TreeBaseBuilding> childNode;

    @Override
    public int compareTo(TreeBaseBuilding o) {
        // 根据年龄进行升序排序
        return Integer.compare(Integer.valueOf(this.id), Integer.valueOf(o.id));
    }
}
