package com.huimv.guowei.admin.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TreeBaseBuildingVo implements Comparable<TreeBaseBuildingVo> {
    private static final long serialVersionUID=1L;

    private String id;

    private String buildName;

    private Integer parentId;

    private Integer fType;

    private String chiNum;

    private Integer duckSex;

    private Integer dayAge;

    private Integer farmCode;

    private Integer stageCode;

    private Integer sort;


    private List<TreeBaseBuildingVo> childNode;


    @Override
    public int compareTo(TreeBaseBuildingVo o) {
        return Integer.compare(Integer.parseInt(this.id), Integer.parseInt(o.id));
    }
}
