package com.huimv.guowei.admin.group.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.group.service.IGroupEggService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 平养产蛋 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
@RestController
@RequestMapping("/group-egg")
@CrossOrigin
public class GroupEggController {
    @Autowired
    private IGroupEggService eggService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return eggService.listPage(paramsMap);
    }

    @RequestMapping("/listDetail")
    public Result listDetail(@RequestBody Map<String, String> paramsMap) {
        return eggService.listDetail(paramsMap);
    }

    @RequestMapping("/BreedingEgg")
    public Result BreedingEgg(@RequestBody Map<String, String> paramsMap) {
        return eggService.BreedingEgg(paramsMap);
    }

}
