package com.huimv.guowei.admin.group.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.group.entity.GroupFeedingEgg;
import com.huimv.guowei.admin.group.service.IGroupFeedingEggService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 平养投料捡蛋 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
@RestController
@RequestMapping("/group-feeding-egg")
@CrossOrigin
public class GroupFeedingEggController {

    @Autowired
    private IGroupFeedingEggService feedingEggService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return feedingEggService.listPage(paramsMap);
    }

    @RequestMapping("/listDetail")
    public Result listDetail(@RequestBody Map<String, String> paramsMap) {
        return feedingEggService.listDetail(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody GroupFeedingEgg feedingEgg) {
        return feedingEggService.add(feedingEgg);
    }
    @RequestMapping("/edit")
    public Result edit(@RequestBody GroupFeedingEgg feedingEgg) {
        return feedingEggService.edit(feedingEgg);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return feedingEggService.remove(paramsMap);
    }

    //导入投料
    @RequestMapping("/importData")
    public Result importData(@RequestParam(name = "file") MultipartFile file) {
        Map<String, String> map = new HashMap<>();
        return feedingEggService.importData(map, file);
    }

    //导入捡蛋
    @RequestMapping("/importData1")
    public Result importData1(@RequestParam(name = "file") MultipartFile file) {
        Map<String, String> map = new HashMap<>();
        return feedingEggService.importData1(map, file);
    }

    //大屏平养区用料监测
    @RequestMapping("/screenBreed")
    public Result screenBreed(@RequestBody Map<String, String> paramsMap) {
        return feedingEggService.screenBreed(paramsMap);
    }


}
