package com.huimv.guowei.admin.group.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.group.entity.GroupFeedingEgg;
import com.huimv.guowei.admin.group.entity.GroupLeave;
import com.huimv.guowei.admin.group.service.IGroupLeaveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 平养离场记录 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
@RestController
@RequestMapping("/group-leave")
@CrossOrigin
public class GroupLeaveController {

    @Autowired
    private IGroupLeaveService leaveService;

    @RequestMapping("/add")
    public Result add(@RequestBody GroupLeave leave) {
        return leaveService.add(leave);
    }
    @RequestMapping("/edit")
    public Result edit(@RequestBody GroupLeave leave) {
        return leaveService.edit(leave);
    }
    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return leaveService.listPage(paramsMap);
    }
}
