package com.huimv.guowei.admin.group.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.group.entity.GroupThreshold;
import com.huimv.guowei.admin.group.service.IGroupThresholdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 参数设置 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-10-08
 */
@RestController
@RequestMapping("/group-threshold")
@CrossOrigin
public class GroupThresholdController {

    @Autowired
    private IGroupThresholdService thresholdService;

    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        return thresholdService.list(paramsMap);
    }

    @RequestMapping("/addAndEdit")
    public Result addAndEdit(@RequestBody GroupThreshold groupThreshold) {
        return thresholdService.addAndEdit(groupThreshold);
    }
}
