package com.huimv.guowei.admin.group.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 平养鸭只档案
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("group_duck_info")
public class GroupDuckInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 脚环号
     */
    private String deviceCode;

    /**
     * 翅号
     */
    private String chiCode;

    /**
     * 批次号
     */
    private String batchNum;

    /**
     * 1北京鸭、2连城白鸭、3山麻鸭、4攸县麻鸭、5白改鸭、6缙云麻鸭、7绍兴鸭(带圈白翼梢)、8绍兴鸭(红毛绿翼梢)、9绍兴鸭(白羽绍鸭)
     */
    private Integer duckBreed;

    /**
     * 性别0雄性，1雌性
     */
    private Integer sex;

    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date birthDate;

    /**
     * 日龄
     */
    private Integer dayNum;

    /**
     * 当前体重
     */
    private String weight;

    /**
     * 栋舍id
     */
    private Integer unitId;

    /**
     * 栋舍名称
     */
    private String unitName;

    /**
     * 牧场编码
     */
    private Integer farmId;

    private String duckImgUrl;

    private Integer isLeave;


}
