package com.huimv.guowei.admin.group.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.guowei.admin.group.entity.GroupDuckInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.group.entity.dto.ScreenProdVo;
import com.huimv.guowei.admin.group.entity.vo.BreedingVo;
import com.huimv.guowei.admin.group.entity.vo.GroupDuckInfoOutVo;

import java.util.List;

/**
 * <p>
 * 平养鸭只档案 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
public interface GroupDuckInfoMapper extends BaseMapper<GroupDuckInfo> {

    IPage<BreedingVo> breedingList(String farmId,String today,String month, Page<BreedingVo> page,String deviceCode);

    List<BreedingVo> breedingRank(String farmId,String today,String month);

    BreedingVo breedingList1(String farmId,String today,String month,String deviceCode);

    void updateDayAge();

    List<GroupDuckInfoOutVo> getOutDuckInfo(Integer year,String[] deviceCode,String farmId);

    ScreenProdVo screenProd(String today);
}
