package com.huimv.guowei.admin.group.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.guowei.admin.group.entity.GroupEating;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.group.entity.vo.BreedEatingEgg;
import com.huimv.guowei.admin.group.entity.vo.BreedEatingVo;
import com.huimv.guowei.admin.group.entity.vo.EggAndFeedingVo;
import com.huimv.guowei.admin.group.entity.vo.GroupEatingVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 平养采食记录 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
public interface GroupEatingMapper extends BaseMapper<GroupEating> {

    List<GroupEatingVo> listDetail(@Param(Constants.WRAPPER) QueryWrapper<GroupEating> queryWrapper);

    EggAndFeedingVo getCount(String deviceCode,String startTime );

    List<BreedEatingVo> breedList(@Param(Constants.WRAPPER) QueryWrapper<GroupEating> queryWrapper);

    List<BreedEatingEgg> breedEggEating(String farmId,String deviceCode,String dateTime);

    List<BreedEatingEgg> breedEggEating1(String farmId,String deviceCode,String startTime,String endTime);

    List<BreedEatingEgg> breedEggEating2(String farmId,String deviceCode,String dateTime);
}
