package com.huimv.guowei.admin.group.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.guowei.admin.group.entity.GroupFeedingEgg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.group.entity.dto.ScreenBreedVo;
import com.huimv.guowei.admin.group.entity.vo.GroupEatingVo;
import com.huimv.guowei.admin.group.entity.vo.GroupFeedAndEggVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 平养投料捡蛋 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
public interface GroupFeedingEggMapper extends BaseMapper<GroupFeedingEgg> {

    IPage<GroupFeedAndEggVo> listFeed(@Param(Constants.WRAPPER)QueryWrapper<GroupFeedingEgg> queryWrapper,IPage<GroupFeedAndEggVo> page);

    List<ScreenBreedVo> screenBreed(@Param(Constants.WRAPPER)QueryWrapper<GroupFeedingEgg> queryWrapper);

    List<ScreenBreedVo> screenBreedMonth(@Param(Constants.WRAPPER)QueryWrapper<GroupFeedingEgg> queryWrapper);
}
