package com.huimv.guowei.admin.group.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.BaseDuckInfo;
import com.huimv.guowei.admin.group.entity.GroupDuckInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 平养鸭只档案 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
public interface IGroupDuckInfoService extends IService<GroupDuckInfo> {

    Result listPage(Map<String,String> paramsMap);

    Result addDuck(HttpServletRequest httpServletRequest, Map<String,String> paramsMap, MultipartFile imgUrl) throws ParseException, IOException;

    Result editDuck(HttpServletRequest httpServletRequest, GroupDuckInfo groupDuckInfo);


    Result deleteDuck(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    void updateDayAge();

    Result duckDetail(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //智慧选育
    Result breedingList(Map<String, String> paramsMap);

    Result breedingDetail(Map<String, String> paramsMap);

    //导入档案数据
    Result importData( MultipartFile files) throws Exception;

    //导出档案数据
    void printDuckIfo(HttpServletResponse response, Map<String,String> paramsMap) throws Exception;

    //大屏平养区--生产数据
    Result screenProd(Map<String, String> paramsMap);

    //智慧选育大屏梯队排名
    Result listRank(Map<String, String> paramsMap);

    //智慧选育大屏点击梯队鸭只展示
    Result listRankList(Map<String, String> paramsMap);
}
