package com.huimv.guowei.admin.group.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.group.entity.GroupFeedingEgg;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * <p>
 * 平养投料捡蛋 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
public interface IGroupFeedingEggService extends IService<GroupFeedingEgg> {

    Result listPage(Map<String, String> paramsMap);

    Result listDetail(Map<String, String> paramsMap);

    Result add(GroupFeedingEgg feedingEgg);

    Result edit(GroupFeedingEgg feedingEgg);

    Result remove(Map<String, String> paramsMap);

    //投料导入数据
    Result importData(Map<String, String> paramsMap, MultipartFile file);

    //捡蛋导入数据
    Result importData1(Map<String, String> paramsMap, MultipartFile file);

    //大屏平养区用料监测
    Result screenBreed(Map<String, String> paramsMap);
}
