package com.huimv.guowei.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.guowei.admin.entity.EnergyWater;
import com.huimv.guowei.admin.entity.EnergyWaterPressure;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.entity.vo.WaterLinePressureVo;
import com.huimv.guowei.admin.entity.vo.WaterLineVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-06-21
 */
public interface EnergyWaterPressureMapper extends BaseMapper<EnergyWaterPressure> {

    WaterLinePressureVo getWaterPressure(String farmId, List<String> chipCodeList, String chipCodes);

    List<WaterLinePressureVo> listDayWaterPressure(String farmId, List<String> chipCodeList, String chipCodes);

    List<WaterLinePressureVo> listMonthWaterPressure(String farmId, List<String> chipCodeList, String chipCodes);

    List<WaterLinePressureVo> listWaterLineDayDetail(String farmId, List<String> chipCodeList, String chipCodes);

    List<WaterLinePressureVo> listWaterLineWeekDetail(String farmId, List<String> chipCodeList, String chipCodes);

    List<WaterLinePressureVo> listWaterLineMonthDetail(String farmId, List<String> chipCodeList, String chipCodes);

    List<WaterLinePressureVo> listWaterLineCustomDetail(String farmId, List<String> chipCodeList, String chipCodes, String startDate, String endDate);

    List<EnergyWaterPressure> listGroupDayDetail(@Param(Constants.WRAPPER) QueryWrapper<EnergyWaterPressure> queryWrapper);

    List<EnergyWaterPressure> listGroupDayDetail2(@Param(Constants.WRAPPER) QueryWrapper<EnergyWaterPressure> queryWrapper);
}
