package com.huimv.guowei.admin.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.guowei.admin.entity.EnergyElectricity;
import com.huimv.guowei.admin.entity.EnvRegularCallEgg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.entity.EnvRegularCallFeeding;
import com.huimv.guowei.admin.entity.vo.EnvRegularCallEggVo;
import com.huimv.guowei.admin.entity.vo.EnvRegularCallFeedingVo;
import com.huimv.guowei.admin.entity.vo.FeedingVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 固定电子秤 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface EnvRegularCallFeedingMapper extends BaseMapper<EnvRegularCallFeeding> {
    List<EnvRegularCallFeeding> listDay(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);

    IPage<EnvRegularCallFeeding> listPage(Page<EnvRegularCallFeeding> page, @Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);

    BigDecimal getFeed(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);

    List<EnvRegularCallFeeding> listSixMonthFeed(String farmId,String units);

    List<EnvRegularCallFeeding> listSevenDayFeed(String farmId,String units);

    List<EnvRegularCallFeedingVo> listScreen(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);
    List<EnvRegularCallFeedingVo> listScreen2(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);

    List<EnvRegularCallFeeding> listDayDesc(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);

    List<EnvRegularCallEggVo> listCount(String duckNum);

    IPage<EnvRegularCallFeeding> listSelect(Page<EnvRegularCallFeeding> page, Date date,String farmId);
    IPage<EnvRegularCallFeeding> listSelect1(Page<EnvRegularCallFeeding> page, Date date,String farmId,String num);

    String listScreen3(QueryWrapper<Object> objectQueryWrapper);

    FeedingVo FeedTime(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);

    IPage<EnvRegularCallFeeding> listAll(Page<EnvRegularCallFeeding> page,@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallFeeding> queryWrapper);

    IPage<EnvRegularCallFeeding> listSelect2(Page<EnvRegularCallFeeding> page, Date timesMonthmorning, String farmId, String chiNum);
}
