package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.Departure;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-14
 */
public interface IDepartureService extends IService<Departure> {
    Result list(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listSelect(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listBatch(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result editBatch(HttpServletRequest httpServletRequest, Map<String,String> paramsMap) throws ParseException;

    Result listByChiNum(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
