package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.DuckImmunityInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IDuckImmunityInfoService extends IService<DuckImmunityInfo> {
    Result listById(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result addImmunity(HttpServletRequest httpServletRequest, DuckImmunityInfo duckImmunityInfo) throws ParseException;

    Result listByH5(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listSelect(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result importData(HttpServletRequest httpServletRequest, MultipartFile files);

    Result listByChiNum(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
