package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.EnergyWater;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IEnergyWaterService extends IService<EnergyWater> {

    Result listWater(Map<String, String> paramsMap);

    Result getWater(Map<String, String> paramsMap);

    Result listWaterLine(Map<String, String> paramsMap);

    Result getScreenWaterLine(Map<String, String> paramsMap);

    Result listScreenWaterLine(Map<String, String> paramsMap);

    Result listScreenUnitWater(Map<String, String> paramsMap);

    void printWater(HttpServletResponse response, Map<String, String> paramsMap)throws Exception ;

    Result listWaterGroup(Map<String, String> paramsMap);

    //大屏平养区用水监测
    Result screenWater(Map<String, String> paramsMap);
}
