package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.RawData;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-25
 */
public interface IRawDataService extends IService<RawData> {

    Result listInfo(Map<String, String> paramsMap);

    Result listWeight(Map<String, String> paramsMap);

    Result listWeightByDevicCode(Map<String, String> paramsMap);

    Result listWeightByDevicCodeAndTime(Map<String, String> paramsMap);
}
