package com.huimv.input;

import com.huimv.input.footserver.FootEnvInputServer;
import com.huimv.input.server.EnvInputServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

@SpringBootApplication
@MapperScan("com.huimv.input.mapper")
public class InputApplication {

    public static void main(String[] args) throws InterruptedException {
        ApplicationContext applicationContext = SpringApplication.run(InputApplication.class, args);
        applicationContext.getBean(EnvInputServer.class).run();
//        applicationContext.getBean(FootEnvInputServer.class).run();
    }

}
