package com.huimv.input.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("base_building")
public class BaseBuilding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 栋舍名字
     */
    private String buildName;

    /**
     * 父级
     */
    private Integer parentId;

    /**
     * 1舍 2笼
     */
    private Integer fType;

    /**
     * 笼子数量
     */
    private Integer cageNum;

    /**
     * 阶段
     */
    private Integer stageCode;

    private Integer farmId;

    private Integer sort;

    /**
     * 笼子名字
     */
    private String cageName;

    private String other2;

    private String other3;


}
