package com.huimv.input.server;//package com.huimv.env.input.server;
//
//import com.huimv.env.input.utils.ModBusUtils;
//import io.netty.buffer.ByteBuf;
//import io.netty.buffer.Unpooled;
//import io.netty.channel.Channel;
//import io.netty.channel.ChannelHandlerContext;
//import io.netty.channel.ChannelId;
//import io.netty.channel.ChannelInboundHandlerAdapter;
//import io.netty.channel.group.ChannelGroup;
//import io.netty.channel.group.DefaultChannelGroup;
//import io.netty.util.concurrent.GlobalEventExecutor;
//
//import java.net.SocketAddress;
//import java.util.Map;
//import java.util.concurrent.ConcurrentHashMap;
//
///**
// * TODO
// *
// * @author linfeng
// * @date 2022/12/26 15:58
// */
//public class DtuServiceHandler extends ChannelInboundHandlerAdapter {
//
//	// 保存
//    private static ChannelGroup channelGroup = new DefaultChannelGroup(GlobalEventExecutor.INSTANCE);
//
//	// 保存客户端channelId与注册包信息
//    private static Map<String,String> channelIdMap = new ConcurrentHashMap<>();
//
//    @Override
//    public void channelRead(ChannelHandlerContext ctx, Object msg) throws Exception {
//        Channel channel = ctx.channel();
//        ChannelId channelId = channel.id();
//        ByteBuf byteBuf = (ByteBuf) msg;
//        byte[] bytes = new byte[byteBuf.readableBytes()];
//        byteBuf.readBytes(bytes);
//        String str = ModBusUtils.bytes2HexString(bytes);
//        for (String s : str.split(" ")) {
//            System.out.println(s);
//        }
//        System.out.println(bytes.length);
//        if(bytes.length == 16){
//        	// 注册包长度为16（我这边用到4G DTU（ZHC4013）注册包长度为16，如果有变化需要修改）
//        	// 注册包为设备编号，设备编号是唯一的。
//            String registerPackage = "";
//            for(int i=0;i<bytes.length;i++) {
//                registerPackage=registerPackage+ModBusUtils.byteToASCLL(bytes[i]);
//            }
//            // channelId.asLongText()获取的是客户端全局唯一ID，根据channelId获取注册包信息，可以判断出数据是哪个节点上传的
//            channelIdMap.put(channelId.asLongText(),registerPackage);
//            System.out.println("注册包："+registerPackage);
//        }else {
//        	// 从channelIdMap获取注册包（设备编号）
//        	String registerPackage = channelIdMap.get(channelId.asLongText());
//        	// 获取到客户端注册包，可以根据注册包（设备编号）查询数据库唯一的设备信息。
//        	// 数据就不做解析了，数据解析相关代码在上面分享的博客地址中。
//        	// 后面就是业务逻辑和数据解析了。
//        	/** 如果要服务端向客户端发送信息，可以利用客户端心跳机制发送数据（也可以写发送数据的线程），其中具体业务逻辑就需要利用数据库了。
//        		具体思想：首先数据库保存发送状态和发送数据，利用channelIdMap查询注册包，可以通过注册包在数据库中查询相关数据，
//        		根据发送状态判断是否需要发送数据。
//        		Netty发送数据需要转ByteBuf，具体代码：channel.writeAndFlush(Unpooled.copiedBuffer(new byte[]{1, 2, 3}))，
//			*/
//
//		}
//
//        System.out.println("收到的数据："+str);
//        System.out.println("链接数："+channelGroup.size());
//        System.out.println("注册包数："+channelIdMap.size());
////        channel.writeAndFlush("1F 03 00 2A 00 01 A6 7C");
////        channel.writeAndFlush(Unpooled.copiedBuffer(hexStr2Bytes("1F 03 00 2A 00 01 A6 7C")));
//        Thread.sleep(5*1000);
//        super.channelRead(ctx, msg);
//    }
//
//
//    @Override
//    public void channelActive(ChannelHandlerContext ctx) throws Exception {
//        SocketAddress socketAddress = ctx.channel().remoteAddress();
//        System.out.println(socketAddress);
//        super.channelActive(ctx);
//    }
//
//    @Override
//    public void channelInactive(ChannelHandlerContext ctx) throws Exception {
//        Channel channel = ctx.channel();
//        ChannelId channelId = channel.id();
//        channelIdMap.remove(channelId.asLongText());
//        System.out.println(channelId.asLongText()+" channelInactive客户端关闭连接");
//        super.channelInactive(ctx);
//    }
//
//    @Override
//    public void userEventTriggered(ChannelHandlerContext ctx, Object evt) throws Exception {
//        super.userEventTriggered(ctx, evt);
//    }
//
//    @Override
//    public void handlerAdded(ChannelHandlerContext ctx) throws Exception {
//        // 连接建立
//        Channel channel = ctx.channel();
//        channelGroup.add(channel);
//        super.handlerAdded(ctx);
//    }
//
//    @Override
//    public void handlerRemoved(ChannelHandlerContext ctx) throws Exception {
//        Channel channel = ctx.channel();
//        ChannelId channelId = channel.id();
//        channelIdMap.remove(channelId.asLongText());
//        System.out.println(channelId.asLongText()+" ChannelHandlerContext客户端关闭连接");
//        super.handlerRemoved(ctx);
//    }
//}
