package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("duck_egg_texture_info")
public class DuckEggTextureInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String duckNum;

    private Integer duckId;

    /**
     * 位置（预留字段）
     */
    private String location;

    /**
     * 单元名字（位置）
     */
    private String unitName;

    private Integer unitId;

    /**
     * 产蛋日期
     */
//    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private String layEggsTime;

    /**
     * 测定日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date determineTime;


    /**
     * 鸭蛋编号
     */
    private String eggsNum;

    /**
     * 蛋壳颜色
     */
    private String eggColour;

    /**
     * 钝端厚度(mm)
     */
    private String bluntThick;

    /**
     * 锐端厚度(mm)
     */
    private String sharpThick;

    /**
     * 侧面厚度(mm)
     */
    private String sideThick;

    /**
     * 长径(mm)
     */
    private String longDiameter;

    /**
     * 短径(mm)
     */
    private String shortDiameter;

    /**
     * 蛋壳强度(kg/cm2)
     */
    private String eggStrength;

    /**
     * Wgt(g)
     */
    private String wgt;

    /**
     * Hgt(mm)
     */
    private String hgt;

    /**
     * Col
     */
    private String col;

    /**
     * Hu(c)
     */
    private String hu;

    /**
     * 等级
     */
    private String grade;

    private String remark;

    private Integer farmId;

    private String chiNum;

    private String jiaoNum;

    private String batchNum;

}
