package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.math.BigDecimal;
import  java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_device_online")
public class EnvDeviceOnline implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String farmId;

    /**
     * 在线数
     */
    private Integer deviceOn;

    /**
     * 离线数
     */
    private Integer deviceOff;

    /**
     * 月份
     */
    private Integer nowMonth;

    /**
     * 年份
     */
    private Integer nowYear;

    /**
     * 时间
     */
    private Date creatTime;

    /**
     * 在线率
     */
    private BigDecimal onlineRate;

    private String ohter1;

    private String ohter2;

    private String ohter3;


}
