package com.huimv.guowei.admin.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("departure")
public class DepartureVo implements Serializable {

//    private static final long serialVersionUID = 1L;
//
//    /**
//     * id
//     */
//    @TableId(value = "id", type = IdType.AUTO)
//    private Integer id;


    /**
     * 离场日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date date;


    private Integer farmId;

    private String chiNum;

    private String batchNum;

    private Integer type;

    private String reason;

}
