package com.huimv.guowei.admin.group.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.common.utils.ResultCode;
import com.huimv.guowei.admin.group.entity.GroupDuckInfo;
import com.huimv.guowei.admin.group.entity.GroupEating;
import com.huimv.guowei.admin.group.entity.GroupFeedingEgg;
import com.huimv.guowei.admin.group.service.IGroupEatingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 平养采食记录 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
@RestController
@RequestMapping("/group-eating")
@CrossOrigin
public class GroupEatingController {

    @Autowired
    private IGroupEatingService eatingService;


    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return eatingService.listPage(paramsMap);
    }

    //详情
    @RequestMapping("/listDetail")
    public Result listDetail(@RequestBody Map<String, String> paramsMap) {
        return eatingService.listDetail(paramsMap);
    }

    @RequestMapping("/BreedingEgg")
    public Result BreedingEgg(@RequestBody Map<String, String> paramsMap) {
        return eatingService.BreedingEating(paramsMap);
    }

    @RequestMapping("/BreedingEatingEgg")
    public Result BreedingEatingEgg(@RequestBody Map<String, String> paramsMap) {
        return eatingService.BreedingEatingEgg(paramsMap);
    }
}
