package com.huimv.guowei.admin.group.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.guowei.admin.group.entity.GroupEgg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.group.entity.vo.BreedEggVo;
import com.huimv.guowei.admin.group.entity.vo.GroupEatingVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 平养产蛋 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
public interface GroupEggMapper extends BaseMapper<GroupEgg> {

    List<GroupEatingVo> listDetail(@Param(Constants.WRAPPER) QueryWrapper<GroupEgg> queryWrapper);

    List<BreedEggVo> listDetail1(@Param(Constants.WRAPPER) QueryWrapper<GroupEgg> queryWrapper);

}
