package com.huimv.guowei.admin.group.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.group.entity.GroupEating;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * <p>
 * 平养采食记录 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-25
 */
public interface IGroupEatingService extends IService<GroupEating> {
    Result listPage(Map<String, String> paramsMap);

    Result listDetail(Map<String, String> paramsMap);


    //鸭只生产性能中的采食统计分析
    Result BreedingEating(Map<String, String> paramsMap);

    //鸭只生产性能中的料单比统计分析
    Result BreedingEatingEgg(Map<String, String> paramsMap);


}
