package com.huimv.guowei.admin.mqtt.moveScale;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.guowei.admin.entity.EnvDevice;
import com.huimv.guowei.admin.service.IEnvDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.ArrayList;
import java.util.List;

@Component
public class UploadMqttStart {

    @Autowired
    private IEnvDeviceService envDeviceService;

    @PostConstruct
    public  void  test() {
        QueryWrapper<EnvDevice> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("device_type", 2).eq("farm_id", 21);
        List<EnvDevice> list = envDeviceService.list(queryWrapper);

        List<String> deviceNum = new ArrayList<>();
        for (EnvDevice callDevice : list) {
            deviceNum.add(callDevice.getDeviceCode());
        }

        ReceiveData receiveData = new ReceiveData();
        receiveData.setTopics(deviceNum);
        receiveData.run();
    }

}