package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.BaseDuckInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IBaseDuckInfoService extends IService<BaseDuckInfo> {
    Result listDuck(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result addDuck(HttpServletRequest httpServletRequest, Map<String,String> paramsMap, MultipartFile imgUrl) throws ParseException, IOException;

    Result editDuck(HttpServletRequest httpServletRequest,BaseDuckInfo baseDuckInfo);

    Result listDuckById(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    void printDuck(HttpServletResponse response, Map<String,String> paramsMap) throws Exception;

    void printChi(HttpServletResponse response, Map<String,String> paramsMap) throws Exception;

    void updateDayAge();

    Result importData(HttpServletRequest httpServletRequest, Map<String,String> paramsMap, MultipartFile files) throws Exception;


    //大屏
    Result listDuckByScreen(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listDuckByScreen2(HttpServletRequest httpServletRequest, Map<String,String> paramsMap) throws ParseException;

    Result listAppDuck(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
