package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.DuckBodySizeInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-14
 */
public interface IDuckBodySizeInfoService extends IService<DuckBodySizeInfo> {

    Result listLimitInfo(Map<String, String> paramsMap);

    Result listPageInfo(Map<String, String> paramsMap);

    Result getLastInfo(Map<String, String> paramsMap);

    Result importData(HttpServletRequest httpServletRequest, MultipartFile files);
}
