package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.EnergyWaterPressure;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-21
 */
public interface IEnergyWaterPressureService extends IService<EnergyWaterPressure> {

    Result getWaterPressure(Map<String, String> paramsMap);

    Result listWaterPressure(Map<String, String> paramsMap);

    Result listWaterLinePressure(Map<String, String> paramsMap);

    //平养水压
    Result listGroupPressure(Map<String, String> paramsMap);

    //平养区的水压监测
    Result screenPressure(Map<String, String> paramsMap);
}
