package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.EnvRegularCallEgg;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.guowei.admin.entity.EnvRegularCallFeeding;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 固定电子秤 服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IEnvRegularCallFeedingService extends IService<EnvRegularCallFeeding> {
    Result listById(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listByH5(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listSelect(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listSeven(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result getScreenFeed(Map<String, String> paramsMap);

    Result listScreenFeed(Map<String, String> paramsMap);

    Result listAll(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listByChiNum(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
