package com.huimv.guowei.admin.utils;




import com.huimv.guowei.admin.entity.Departure;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.streaming.SXSSFWorkbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.*;

public class ExcelReader {
    public static void main(String[] args) throws IOException {
//        String excelFilePath = "G:/test.xlsx";
//        FileInputStream inputStream = new FileInputStream(new File(excelFilePath));
//        SXSSFWorkbook workbook = new SXSSFWorkbook();
//        Sheet sheet = workbook.getSheetAt(0);
//        Iterator<Row> iterator = sheet.iterator();
//        while (iterator.hasNext()) {
//            Row nextRow = iterator.next();
//            Iterator<Cell> cellIterator = nextRow.cellIterator();
//            List<String> rowValues = new ArrayList<>();
//            while (cellIterator.hasNext()) {
//                Cell cell = cellIterator.next();
//                switch (cell.getCellType()) {
//                    case STRING:
//                        rowValues.add(cell.getStringCellValue().trim());
//                        break;
//                    case NUMERIC:
//                        rowValues.add(String.valueOf(cell.getNumericCellValue()).trim());
//                        break;
//                    default:
//                        rowValues.add("");
//                        break;
//                }
//            }
//            System.out.println(rowValues);
//
////            String sql = "INSERT INTO departure (id,duck_num,unit_id,date,reason,farm_id,unit_name) "
////                    + "VALUES ('" + rowValues.get(0) + "','" + rowValues.get(1) + "','" + rowValues.get(2) + "','" + rowValues.get(3) + "','"
////                    + rowValues.get(4) + "','"+ rowValues.get(5) + "','"+ rowValues.get(6) + "')";
////
////            Connection conn = DBConnection.getConnection();
////            Statement statement = null;
////
////            try {
////                statement = conn.createStatement();
////                statement.executeUpdate(sql);
////            } catch (SQLException e) {
////                e.printStackTrace();
////            } finally {
////                try {
////                    if (statement != null) {
////                        statement.close();
////                    }
////                    if (conn != null) {
////                        conn.close();
////                    }
////                } catch (SQLException e) {
////                    e.printStackTrace();
////                }
////            }
//        }
//        workbook.close();
//        inputStream.close();

        Map<String , String> map = new HashMap<>();
        //表头与键值对的映射关系
        map.put("序号", "id");
        map.put("鸭只编号" , "duckNum");
        map.put("位置" , "unitId");
        map.put("离场日期" , "date");
        map.put("原因" , "reason");
        map.put("编码" , "farmId");
        map.put("位置名称" , "unitName");
        try(
                //这里面的对象会自动关闭
                InputStream in = new FileInputStream(new File("G:\\test.xlsx"));
                //用流来构建工作簿对象
                Workbook workbook = ExcelImportSheet.getTypeFromExtends(in , "test.xlsx")
        ) {

            //根据名称获取单张表对象 也可以使用getSheetAt(int index)获取单张表的对象 获取第一张表
            Sheet sheet = workbook.getSheetAt(0);
            List<Departure> list = ExcelImportSheet.getListFromExcel(sheet , Departure.class , map);

            for (Departure student : list) {
                //底层数据库操作 insert什么的
                System.out.println(student.toString());
            }
        }catch(IOException exception) {
            exception.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }finally {
            //写着好看的
        }

    }

}